precision lowp float;

uniform sampler2D uTexture;
uniform float uAlphaRatio;
varying vec2 vTexCoord;
varying float vAlphaThreshold;

void main() {
    vec4 textureColor = texture2D(uTexture, vTexCoord);
    textureColor.a = (textureColor.a > vAlphaThreshold) ? textureColor.a : 0.0;
    //contour noir
    //gl_FragColor.a = (gl_FragColor.a > vAlphaThreshold) ? 1.0 - (gl_FragColor.a - vAlphaThreshold): 0.0;

    textureColor *= uAlphaRatio; // premultiply by alpha
    gl_FragColor=textureColor;
}
