attribute vec4 aPosition;
attribute vec4 aColor;
attribute float aPointSize;
uniform float uScale;
uniform mat4 uTransform;
varying vec4 vColor;

void main() {
  gl_Position = uTransform * aPosition;
  gl_PointSize = uScale * aPointSize;
  vColor = aColor;
}
