attribute vec4 aPosition;
attribute vec2 aTexCoord;
uniform mat4 uMvpTransform;
uniform float uAlphaThreshold;
uniform float uAlphaThresholdFilling;
uniform float uStartGradiant;
varying vec2 vTexCoord;
varying float vAlphaThreshold;

void main() {
    vAlphaThreshold = uAlphaThreshold;
    if(aTexCoord.y > uStartGradiant){
        vAlphaThreshold = uAlphaThresholdFilling;
    }
    gl_Position = uMvpTransform * aPosition;
    vTexCoord = aTexCoord;
}
