attribute vec4 aPosition;
attribute vec2 aTexCoord;
uniform float uBlurBufferSize;
uniform float uBlurFillingBufferSize;
uniform float uStartGradiant;
varying vec2 vBlurTexCoords[5];

void main() {
    gl_Position = aPosition;
    float coef = uBlurBufferSize;
    if(aTexCoord.y > uStartGradiant){
        coef = uBlurFillingBufferSize;
    }
    vBlurTexCoords[0] = aTexCoord + vec2(-2.0 * coef, 0.0);
    vBlurTexCoords[1] = aTexCoord + vec2(-1.0 * coef, 0.0);
    vBlurTexCoords[2] = aTexCoord;
    vBlurTexCoords[3] = aTexCoord + vec2(1.0 * coef, 0.0);
    vBlurTexCoords[4] = aTexCoord + vec2(2.0 * coef, 0.0);
}
